Log search click
curl --request POST \
--url https://api.thehaystack.ai/v2/haystack/logging/search-result-clicks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"searchId": "<string>",
"itemId": 123,
"position": 123,
"clickedHighlight": true,
"embedToken": "<string>"
}
'import requests
url = "https://api.thehaystack.ai/v2/haystack/logging/search-result-clicks"
payload = {
"searchId": "<string>",
"itemId": 123,
"position": 123,
"clickedHighlight": True,
"embedToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
searchId: '<string>',
itemId: 123,
position: 123,
clickedHighlight: true,
embedToken: '<string>'
})
};
fetch('https://api.thehaystack.ai/v2/haystack/logging/search-result-clicks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clickId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Analytics
Log Search Result Click
Track when a user clicks a search result
POST
/
logging
/
search-result-clicks
Log search click
Authorizations
Enter your API token from the Haystack dashboard
Body
application/json
The encoded search id returned on GET /search as queryAnalyticsId
Zero-indexed position of the clicked result
Available options:
embed, connect, console True if the user clicked a highlighted transcript snippet rather than the item card
Required when surface=embed
Response
200 - application/json
Click logged
⌘I

